{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [
    ../../disko/hetzner.nix
    ./networking.nix
  ];
  disko.devices.disk.main.device = "scsi-0QEMU_QEMU_HARDDISK_55513992";

  boot = {
    useSystemdBoot = true;
  };

  virtualisation.docker.enable = false;
  services = {
    locate.enable = false;
    endlessh-go.enable = false;
  };

  #hardware.enableAllFirmware = true;

  system.stateVersion = "24.05";
}
