{
  config,
  lib,
  pkgs,
  ...
}:

{
  networking.useDHCP = false;

  systemd.network = {
    enable = true;
    networks."10-wan" = {
      #matchConfig.Name = "enp1s0"; # either ens3 or enp1s0 depending on system, check 'ip addr'
      matchConfig.Name = "ether";
      networkConfig.DHCP = "ipv4";
    };
  };
}
